package db

import (
	"context"
	"fmt"
	"log"

	"go.mongodb.org/mongo-driver/mongo"
)

type Entrepreneurship struct {
	_id      int32  `json:"_id"`
	typeName string `json:"typeName"`
	question string `json:"question"`
	A        string `json:"A"`
	B        string `json:"B"`
	C        string `json:"C"`
	D        string `json:"D"`
	E        string `json:"E"`
}

//GetList 获取全量的数据
func (l *Entrepreneurship) GetList(filter interface{}, objs interface{}) error {
	collection, err := Get_collecton(ENTREPRENEURSHIP_TBL)
	if err != nil {
		return err
	}

	cur, err := collection.Find(context.Background(), filter)
	if err != nil {
		fmt.Println(err)
		return err
	}
	if err := cur.Err(); err != nil {
		fmt.Println(err)
		return err
	}
	err = cur.All(context.Background(), &objs)
	if err != nil {
		fmt.Println(err)
		return err
	}
	cur.Close(context.Background())

	log.Println("collection.Find curl.All: ", objs)

	return nil
}

// AddOne 新增一条数据
func (s *Entrepreneurship) AddOne() (*mongo.InsertOneResult, error) {
	collection, err := Get_collecton(ENTREPRENEURSHIP_TBL)
	if err != nil {
		return nil, err
	}

	objId, err := collection.InsertOne(context.TODO(), *s)
	if err != nil {
		log.Println(err)
		return nil, err
	}
	log.Println("录入数据成功，objId:", objId)

	return objId, nil
}
